
<!DOCTYPE html>
<html>
<head>
<title>Colmena Media Types Test</title>
</head>
<body>

Media Support: <br />
<script>
// Check some video MIME types that should be recordable and a few that should
// not be. Supported MIME types return true. Same for Audio.
// https://w3c.github.io/mediacapture-record/MediaRecorder.html#methods



  if (MediaRecorder.isTypeSupported("audio/ogg"))
  {
      document.write("audio/ogg supported!<br />" );
  }
  else
  {
      document.write("audio/ogg NOT supported!<br />" );
  }

  if(MediaRecorder.isTypeSupported("audio/ogg;codecs=opus"))
  {
      document.write("audio/ogg;codecs=opus supported!<br />" );
  }
  else
  {
      document.write("audio/ogg;codecs=opus NOT supported!<br />" );
  }

  if(MediaRecorder.isTypeSupported("audio/ogg;codecs=pcm"))
  {
      document.write("audio/ogg;codecs=pcm supported!<br />" );
  }
  else
  {
      document.write("audio/ogg;codecs=pcm NOT supported!<br />" );
  }

  if(MediaRecorder.isTypeSupported("audio/webm"))
  {
      document.write("audio/webm supported!<br />" );
  }
  else
  {
      document.write("audio/webm NOT supported!<br />" );
  }

  if(MediaRecorder.isTypeSupported("audio/webm;codecs=opus"))
  {
     document.write("audio/webm;codecs=opus supported!<br />" );
  }
  else
  {
      document.write("audio/webm;codecs=opus NOT supported!<br />" );
  }

  if(MediaRecorder.isTypeSupported("audio/webm;codecs=pcm"))
  {
      document.write("audio/webm;codecs=pcm supported!<br />" );
  }
  else
  {
      document.write("audio/webm;codecs=pcm NOT supported!<br />" );
  }


</script>
</body>
</html>
